<?php
require_once '../core/system.php';
echo only_reg();
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`  = '".intval($_GET['id'])."'"));
}else{
$_SESSION['err'] = "Игрок не найден";
header('Location: /');
exit();
}
$header = 'Игрок '.$ank['nick'];
require_once H.'core/head.php';
$k_bashni = mysql_result(mysql_query("SELECT COUNT(*) FROM `bashni` WHERE `id_user` = '$ank[id]'"),0);
if($k_bashni == 0)$status = '<img src="/images/icon/1.gif"> Боец';
if($k_bashni > 0)$status = '<img src="/images/icon/2.gif"> Супер Боец';
if($k_bashni > 9)$status = '<img src="/images/icon/3.gif"> Гладиатор';
if($k_bashni > 19)$status = '<img src="/images/icon/4.gif"> Титан';
if($k_bashni > 29)$status = ($ank['pol'] == 0 ? "<img src='/images/icon/5.gif'> Ангел" : "<img src='/images/icon/5.gif'> Архангел");
if($k_bashni > 39)$status = '<img src="/images/icon/6.gif"> Повелитель';
if($k_bashni > 49)$status = ($ank['pol'] == 0 ? "<img src='/images/icon/7.gif'> Королева" : "<img src='/images/icon/7.gif'> Король");
if($k_bashni > 99)$status = ($ank['pol'] == 0 ? "<img src='/images/icon/7.gif'> Богиня" : "<img src='/images/icon/7.gif'> Бог");
echo "<div class='player'>";
echo online($ank[id]);
echo " <b>$ank[nick]</b> <img src='/images/icon/level.png' alt=''/> $ank[level] ур.";
echo '<br/><img src="';
if(empty($ank['ava'])) echo '/img/noava.png'; else echo '/ava/'.$ank['ava']; 
echo '" width="150" height="150"/>';
if($user[id] == $ank[id]){
echo "<div class='mini-line'></div>";
echo "<div class='player menuList'>";
echo "<li><a href='/user/bashni.php?id=$ank[id]'><img src='/images/icon/tournament.png'>Башни</a></li>";
echo "<li><a href='/user/newmsg.php'><img src='/images/icon/mail.png'>Почта</a></li>";
echo "</div>";
echo "<div class='mini-line'></div>";
}else{
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<div class='player menuList'>";
echo "<li><a href='/user/bashni.php?id=$ank[id]'><img src='/images/icon/tournament.png'>Башни $ank[nick]</a></li>";
echo "<li><a href='/user/mail.php?id=$ank[id]'><img src='/images/icon/mail.png'>Отправить Почту</a></li>";

if(mysql_result(mysql_query("SELECT count(id) FROM `ignor` where `kto` = '".$user['id']."' and `kogo` = '".$ank['id']."'"),0)==0){
echo "<li><a href='/ignor.php?ob=$ank[id]'><img src='/images/icon/mail.png'>Добавить в чёрный список</a></li>";
}else{
echo "<li><a href='/ignor.php?ob=$ank[id]'><img src='/images/icon/mail.png'>Убрать из чёрного списка</a></li>";

}
echo "</div>";
echo "<div class='mini-line'></div>";
}

echo "<div class='player' style='line-height:140%;'>

<img src='/images/icon/str.png' alt='str'/> Атака: $ank[sila]
<br>

<img src='/images/icon/vit.png' alt='vit'/> Здоровье: $ank[max_health]
<br>

<img src='/images/icon/agi.png' alt='agi'/> Ловкость: $ank[lovk]
<br>

<img src='/images/icon/def.png' alt='def'/> Защита: $ank[zashit]
<br>

<img src='/images/icon/mana.png' alt='mana'/> Мана: $ank[max_mana]

<br>

";
/*
if($user['petschek'] == '0')
{
echo "Нет питомца";
}else{

echo "<div class=line></div><img src='$ank[pets]' height='100'> <br> <b> $ank[petsname] </b> <br> <img src='http://waphero.ru/pets/img/heart.png' alt='Здоровье' height='16'/>Здоровье: $ank[healthpets] <br>
         <img src='http://waphero.ru/pets/img/power.png' alt='Сила' height='16'/>Сила: $ank[silapets] <br>
         <img src='http://waphero.ru/pets/img/vin.png' alt='Выносливость' height='16'/>Выносливость: $ank[vinoslpets] <br>";

}




if($user[id] == $ank[id]){

echo "<div class='player menuList'>";




}

*/
echo '<div class="line"></div><div class="panel gray-panel"><div class="panel-inner">';
if($user[id] == $ank[id]){
echo "<div class='dot-line'></div>";
echo "<div class='player menuList'>";

echo "<li><a href='/anketa.php?id=$ank[id]'><img src='/images/icon/arena.png'>Анкета</a></li>";
echo "<li><a href='/user/train.php'><img src='/images/icon/train.png'>Тренировка</a></li>";
echo "<li><a href='/rukzak.php'><img src='/images/icon/tournament.png'>Рюкзак</a></li>";
echo "</div>";
echo "<div class='mini-line'></div>

<div class='block_zero'>

<img src='/images/icon/gold.png' alt='gold'/> Золото: ".number_format($ank[gold],NULL,NULL,"'")."
<br>

<img src='/images/icon/silver.png' alt='silver'/> Серебро: ".number_format($ank[silver],NULL,NULL,"'")."
<br>

<img src='/images/icon/exp.png' alt='exp'/> Опыт: $ank[exp]/$exp <span class='grey'>(".round(100/($exp/($ank[exp]+1)))."%)</span>
<br>

</div>";
}else{
echo "<div class='player menuList'>";

echo "<li><a href='/anketa.php?id=$ank[id]'><img src='/images/icon/arena.png'>Анкета</a></li>";
echo "<li><a href='/arena.php?attack=$ank[id]'><img src='/images/icon/arena.png'>Атаковать</a></li>";
if($user[prava] == 5)echo "<li><a href='/Adm_panel/user2.php?id=$ank[id]'><img src='/images/icon/arrow.png'>Редактировать</a></li>";
if($ank[prava] < $user[prava])if($user[prava] > 3){echo "<li><a href='/moder/ban.php?id=$ank[id]'><img src='/images/icon/arrow.png'>Заблокировать</a></li>";
echo "</div>";
echo "<img src='/images/icon/arrow.png'> IP: ".$ank['ip']." [<a href='/Adm_panel/banip.php?id=$ank[id]'>бан</a>]";}

}
echo "<div class='mini-line'></div>";
echo "<div class='player'>";

echo "<b>$status</b> ($k_bashni)<br>";
echo "<img src='/images/icon/sumstat.png'> Рейтинг дуэлей: $ank[duel_rating]";
echo "</div></div></div></div>";
require_once H.'core/foot.php';
?>